.htaccessでスマホページPCページ振り分け スマホページからPCページが見たいとき


Warning: Use of undefined constant user_level - assumed 'user_level' (this will throw an Error in a future version of PHP) in /home/patareru/www/patareru/wp-content/plugins/ultimate_ga_1.6.0/ultimate_ga_1.6.0.php on line 524

スマホページからPCページが見たいとき


Warning: Use of undefined constant user_level - assumed 'user_level' (this will throw an Error in a future version of PHP) in /home/patareru/www/patareru/wp-content/plugins/ultimate_ga_1.6.0/ultimate_ga_1.6.0.php on line 524

.htaccessにて

<IfModule mod_rewrite.c>
RewriteEngine On

#ユーザーエージェントがスマホやアンドロイドの場合

 

RewriteCond %{HTTP_USER_AGENT} (iPhone|Android.*Mobile|Windows.*Phone) [NC]

#URLクエリがhage=pc の場合PC表示になる

RewriteCond %{QUERY_STRING} !hage=pc

#スマホから閲覧した場合、またはクエリにhage=pcがないとスマホ表示

RewriteRule ^$ /smart/ [R,L]
</IfModule>

数値計算ができずprecision変更


Warning: Use of undefined constant user_level - assumed 'user_level' (this will throw an Error in a future version of PHP) in /home/patareru/www/patareru/wp-content/plugins/ultimate_ga_1.6.0/ultimate_ga_1.6.0.php on line 524

php.ini precision のデフォルトが12だったので13桁の数値計算ができず

.htaccessに以下追加

php_value precision 16

php.ini ディレクティブに関する説明

precision integer
浮動小数点数に関して表示される最大桁数を指定します。

ソーシャルボタン


Warning: Use of undefined constant user_level - assumed 'user_level' (this will throw an Error in a future version of PHP) in /home/patareru/www/patareru/wp-content/plugins/ultimate_ga_1.6.0/ultimate_ga_1.6.0.php on line 524

はてなブックマーク、google+1、facebook、twitter、mixiの
各ソーシャルボタンの設置方法

はてなブックマーク
google+1
フェイスブックいいねボタン
twitterツイートボタン
mixiチェック

さくらサーバー phpをhtmlで動かすには


Warning: Use of undefined constant user_level - assumed 'user_level' (this will throw an Error in a future version of PHP) in /home/patareru/www/patareru/wp-content/plugins/ultimate_ga_1.6.0/ultimate_ga_1.6.0.php on line 524

サクラサーバーでphpをhtmlで動かす


Warning: Use of undefined constant user_level - assumed 'user_level' (this will throw an Error in a future version of PHP) in /home/patareru/www/patareru/wp-content/plugins/ultimate_ga_1.6.0/ultimate_ga_1.6.0.php on line 524

さくらのレンタルサーバ
ではプランがスタンダード以上でphpが使えるが

.html内でphpを書いても動かない。

 

/usr/local/php/5.2.17/binフォルダ内に

php-cgi-mysql5.1がある。(自分の場合 人それぞれ

/usr/local/bin/php~(ヴァージョン)にあるひともいるのか?

これをFTPでダウンロード(バイナリで)自分のローカルに落として

php.cgi にリネーム。

変えたいディレクトリにアップしてパーミッション705 か755

同じディレクトリに

.htaccessに

DirectoryIndex index.html index.php .ht
Action myphp-script /php.cgi
AddHandler myphp-script .php .html

書いてアップして終わり。

 

 

 

 

Apache accessログの見方


Warning: Use of undefined constant user_level - assumed 'user_level' (this will throw an Error in a future version of PHP) in /home/patareru/www/patareru/wp-content/plugins/ultimate_ga_1.6.0/ultimate_ga_1.6.0.php on line 524

WWWサーバーのHTTP ログファイルの読み方
ログの読み方について
システムログの読み方を理解しよう
Apacheログ概論